(*^
::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "Macintosh Mathematica Notebook Front End Version 2.2";

	MacintoshStandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, "Times"; 
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, "Times"; 
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, "Times"; 
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, "Times"; 
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, "Times"; 
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, "Times"; 
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L-5,  12, "Courier"; 
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, R65535, L-5,  12, "Courier"; 
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, B65535, L-5,  12, "Courier"; 
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, "Courier"; 
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  10, "Geneva"; 
	fontset = header, inactive, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = leftheader, inactive, L2,  12, "Times"; 
	fontset = footer, inactive, noKeepOnOnePage, preserveAspect, center, M7,  12, "Times"; 
	fontset = leftfooter, inactive, L2,  12, "Times"; 
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	paletteColors = 128; currentKernel; 
]
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup]
Legal Notice, Disclaimer, and Book Ordering Information:
:[font = input; inactive; preserveAspect; endGroup]
(* Legal Notice, Disclaimer, and Book Ordering Information:

Last Modified: FIO January 1, 1995

Mathematica For Physics
Robert L. Zimmerman and Fredrick I. Olness
MathSource Number: 0206-862 

ISBN 0-201-53796-6
For ordering information, call 1-800-822-6339
Addison-Wesley Publishing Company

Communication with the authors:
Fredrick I. Olness:  olness@mail.physics.smu.edu
Robert L. Zimmerman: bob@zim.uoregon.edu

Copyright 1995, Addison-Wesley Publishing Company, Inc. The material in
this file may be distributed freely  so long as the content remains
unchanged, and the copyright and  reference notices are included. The
publisher grants permission for the noncommercial use of these programs
and program segments.  All other uses require the prior written consent
of the publisher.    

All rights are reserved with regard to the  material in the
"Mathematica For Physics" text, and may not be reproduced, stored in a
retrieval system, or transmitted,  in any form or by any means,
electronic, mechanical, photocopying,  recording, or otherwise, without
the prior written permission  of the publisher. 

The programs and applications presented in this book have been included
for  their instructional value. They have been tested with care but are
not  guaranteed for any particular purpose. The publisher does not
offer any  warranties or representations, nor does it accept any
liabilities with  respect to the programs or applications. 

 *)

:[font = subsection; inactive; preserveAspect; startGroup]
Chapter 6, Section 1, Problem 2: 
Particle bound in a Finite Potential Well   
(Modified 9/25/95. Original was scrambled. Book is correct)
;[s]
2:0,0;79,1;139,-1;
2:1,16,12,Times,1,14,0,0,0;1,13,9,Times,1,12,0,0,0;
:[font = input; preserveAspect; endGroup]
<<mainDir:subDir:ch6init.m  (* Mac  Version *)

<<mainDir/subDir/ch6init.m  (* Unix Version *)
:[font = subsubsection; inactive; preserveAspect; startGroup]
Solution
:[font = input; preserveAspect]
Clear["Global`*"];
:[font = input; preserveAspect]
psiW[x_]=  waveTrig[x,ki,A,B] 
:[font = input; preserveAspect]
kRule= {k -> Sqrt[2 m(En - V)]/hbar} //PowerExpand;
:[font = input; preserveAspect]
kiRule= {ki -> k} /.kRule //.{V->-V0, En->-Wn}
:[font = input; preserveAspect]
waveExp[x,k,c1,c2]
:[font = input; preserveAspect]
psiL[x_]= waveExp[x,I k0,0,C]     (* x < -a *)
:[font = input; preserveAspect]
psiR[x_]= waveExp[x,I k0,D,0]     (* x > a *)
:[font = input; preserveAspect]
k0Rule = ( {k0->-I k} //. kRule
                      //.{V->0, En->-Wn}
                      //PowerExpand  
          )
:[font = input; preserveAspect]
eq2= {  (psiL[ x]-psiW[ x]==0)  /. {x->-a}, 
        (psiW[ x]-psiR[ x]==0)  /. {x->+a},
        (psiL'[x]-psiW'[x]==0)  /. {x->-a},
        (psiW'[x]-psiR'[x]==0)  /. {x->+a}  }; 
:[font = input; preserveAspect]
eq3= Reduce[eq2,A];
Short[eq3,4]
:[font = input; preserveAspect]
eq4= Reduce[{eq2, A==0, C !=0, k0 !=0}//Flatten ,B]
:[font = input; preserveAspect]
symSol= Solve[eq4,{A,B,C}][[1]] 
:[font = input; preserveAspect]
symRel= 
  Select[eq4,((!FreeQ[#,Cos[a ki]])&&(!FreeQ[#,k0]))& ]
:[font = input; preserveAspect]
symEn= Thread[symRel/(ki Cos[a ki]),Equal]   
:[font = input; preserveAspect]
eq5= Reduce[{eq2, B==0, C !=0, k0 !=0}//Flatten,A]
:[font = input; preserveAspect]
asymSol= Solve[eq5 ,{A,B,C}]
:[font = input; preserveAspect]
asymRel= Select[eq5,((!FreeQ[#,Cos[a ki]])&&(!FreeQ[#,k0]))& ]
:[font = input; preserveAspect]
asymEn=  Thread[asymRel/(ki Sin[a ki]),Equal] 
:[font = input; preserveAspect]
kRule2  =  {kiRule ,k0Rule} //Flatten
:[font = input; preserveAspect]
 nRule= Wn-> V0- n^2 hbar^2 Pi^2/(8 a^2 m) ;
:[font = input; preserveAspect]
eq6 =symEn/.kRule2/.nRule//PowerExpand
:[font = input; preserveAspect]
values={a->1, m->1, hbar->1, V0->{100,200,500, Infinity} };
:[font = input; preserveAspect]
plot1= 
Plot[ {ArcTan[eq6[[1]]],ArcTan[eq6[[2]]]}
           /.values 
           //Flatten 
           //Evaluate
       ,{n,0.01,9}
       ,Frame->True
       ,FrameTicks->{  {{1,"n=1"},{3,"n=3"},{5,"n=5"}
                                 ,{7,"n=7"},{9,"n=9"}}
                      ,{0,0.5,1,1.5}  }
       ,PlotRange->{0,2}
       ,DisplayFunction->Identity
    ];
:[font = input; preserveAspect]
text ={
 Text[FontForm["V0=Inf",{"Courier-Bold",10}],{2,1.7  }],
 Text[FontForm["V0=500",{"Courier-Bold",10}],{5.7,1.4}],
 Text[FontForm["V0=200",{"Courier-Bold",10}],{7.6,1  }],
 Text[FontForm["V0=100",{"Courier-Bold",10}],{7.7,0.7}]};  
:[font = input; preserveAspect]
Show[{plot1,Graphics[text]}, DisplayFunction->$DisplayFunction];
:[font = input; preserveAspect]
eq7 =asymEn /.kRule2 /.nRule //PowerExpand
:[font = input; preserveAspect]
Plot[ {ArcTan[eq7[[1]]],ArcTan[eq7[[2]]]}
         /.values 
         //Flatten
         //Evaluate
      ,{n,0.01,9}
      ,Frame->True
      ,FrameTicks->{ {{2,"n=2"},{4,"n=4"}
                     ,{6,"n=6"},{8,"n=8"}}
                    ,{0,.5,1,1.5}  }
      ,PlotRange->{0,2 }
      ,Epilog->Graphics[text][[1]] 
  ];
:[font = input; preserveAspect]
nValues[eq_, potential_, guess_]:= 
( n /.FindRoot[eq /.{m->1,a->1,hbar->1,V0->potential }
                  //Evaluate
              ,{n,guess}][[1]]  )
:[font = input; preserveAspect]
symGuess= {0.97,2.9,4.8,6.8,8.7 };
:[font = input; preserveAspect]
symValues= {nValues[eq6,100,#]
           ,nValues[eq6,200,#]
           ,nValues[eq6,500,#]}& /@ symGuess;
:[font = input; preserveAspect]
asymGuess=    {1.97,3.9,5.8,7.8  };

asymValues={nValues[eq7,100,#]
           ,nValues[eq7,200,#]
           ,nValues[eq7,500,#]}& /@ asymGuess;
:[font = input; preserveAspect]
( Partition[ Sort[{symValues,asymValues} //Flatten 
                                         //N[#,3]&  ]
           ,3]
    //TableForm[# ,TableSpacing -> {0,8}
                  ,TableHeadings-> {
                      {"n=1","n=2","n=3","n=4","n=5"
                            ,"n=6","n=7","n=8","n=9"}
                      ,{"V0=100","V0=200","V0=500"}  }   
                ]&
 )
:[font = input; preserveAspect]
 symRules= {kRule2,nRule,symSol,
           {a->1,hbar->1,m->1,V0->100,D->100}}//Flatten; 
           
asymRules= {kRule2,nRule,asymSol,
           {a->1,hbar->1,m->1,V0->100,D->100}}//Flatten; 

:[font = input; preserveAspect]
Clear[sPsi,aPsi];

(*Symmetric*) 
sPsi[x_ /;    x<-1,n0_]:= (psiL[x]//.symRules//.{n->n0});
sPsi[x_ /; -1<=x<1,n0_]:= (psiW[x]//.symRules//.{n->n0});
sPsi[x_ /;    x>=1,n0_]:= (psiR[x]//.symRules//.{n->n0});

(*Asymmetric*) 
aPsi[x_ /;    x<-1,n0_]:= (psiL[x]//.asymRules//.{n->n0});
aPsi[x_ /; -1<=x<1,n0_]:= (psiW[x]//.asymRules//.{n->n0});
aPsi[x_ /;    x>=1,n0_]:= (psiR[x]//.asymRules//.{n->n0});

:[font = input; preserveAspect]
symEnergy= nValues[eq6,100,#]& /@ symGuess 
:[font = input; preserveAspect]
plotsym= 
Plot[ sPsi[x,#] //.symRules //Evaluate
        ,{x,-2,2}
        ,PlotLabel->  N[#,3]
        ,Axes->None
        ,DisplayFunction->Identity ]& /@ symEnergy;
:[font = input; preserveAspect]
Show[GraphicsArray[{plotsym[[{1,2,3}]],plotsym[[{4,5}]]}]];
:[font = input; preserveAspect]
asymEnergy= nValues[eq7,100,#]& /@ asymGuess;
 
plotasym= 
  Plot[ aPsi[x,#] //.asymRules //Evaluate
          ,{x,-2,2}
          ,PlotLabel->N[#,3]
          ,Axes->None
          ,DisplayFunction->Identity]& /@ asymEnergy;              
              
:[font = input; preserveAspect; endGroup]
Show[GraphicsArray[{plotasym[[{1,2}]],plotasym[[{3,4}]]}]];
^*)
